Up

# NSPopUpButton

### Authors

Scott Christley (`scottc@net-community.com`)
Michael Hanni (`mhanni@sprintmail.com`)

> Popup list class

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSPopUpButton class

## NSPopUpButton : NSButton

> Declared in:
>   AppKit/NSPopUpButton.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -addItemWithTitle:
- -addItemsWithTitles:
- -autoenablesItems
- -indexOfItem:
- -indexOfItemWithRepresentedObject:
- -indexOfItemWithTag:
- -indexOfItemWithTarget:andAction:
- -indexOfItemWithTitle:
- -indexOfSelectedItem
- -initWithFrame:pullsDown:
- -insertItemWithTitle:atIndex:
- -itemArray
- -itemAtIndex:
- -itemTitleAtIndex:
- -itemTitles
- -itemWithTitle:
- -lastItem
- -numberOfItems
- -preferredEdge
- -pullsDown
- -removeAllItems
- -removeItemAtIndex:
- -removeItemWithTitle:
- -selectItem:
- -selectItemAtIndex:
- -selectItemWithTitle:
- -selectedItem
- -setAutoenablesItems:
- -setPreferredEdge:
- -setPullsDown:
- -setTitle:
- -synchronizeTitleAndSelectedItem
- -titleOfSelectedItem

### addItemWithTitle:

- (void) addItemWithTitle: (NSString*)title;

Description forthcoming.

### addItemsWithTitles:

- (void) addItemsWithTitles: (NSArray*)itemTitles;

Description forthcoming.

### autoenablesItems

- (BOOL) autoenablesItems;

Description forthcoming.

### indexOfItem:

- (int) indexOfItem: (id<NSMenuItem>)anObject;

Description forthcoming.

### indexOfItemWithRepresentedObject:

- (int) indexOfItemWithRepresentedObject: (id)anObject;

Description forthcoming.

### indexOfItemWithTag:

- (int) indexOfItemWithTag: (int)tag;

Description forthcoming.

### indexOfItemWithTarget:andAction:

- (int) indexOfItemWithTarget: (id)target andAction: (SEL)actionSelector;

Description forthcoming.

### indexOfItemWithTitle:

- (int) indexOfItemWithTitle: (NSString*)title;

Description forthcoming.

### indexOfSelectedItem

- (int) indexOfSelectedItem;

Description forthcoming.

### initWithFrame:pullsDown:

- (id) initWithFrame: (NSRect)frameRect pullsDown: (BOOL)flag;

Description forthcoming.

### insertItemWithTitle:atIndex:

- (void) insertItemWithTitle: (NSString*)title atIndex: (int)index;

Description forthcoming.

### itemArray

- (NSArray*) itemArray;

Description forthcoming.

### itemAtIndex:

- (id<NSMenuItem>) itemAtIndex: (int)index;

Description forthcoming.

### itemTitleAtIndex:

- (NSString*) itemTitleAtIndex: (int)index;

Description forthcoming.

### itemTitles

- (NSArray*) itemTitles;

Description forthcoming.

### itemWithTitle:

- (id<NSMenuItem>) itemWithTitle: (NSString*)title;

Description forthcoming.

### lastItem

- (id<NSMenuItem>) lastItem;

Description forthcoming.

### numberOfItems

- (int) numberOfItems;

Description forthcoming.

### preferredEdge

- (NSRectEdge) preferredEdge;

Description forthcoming.

### pullsDown

- (BOOL) pullsDown;

Description forthcoming.

### removeAllItems

- (void) removeAllItems;

Description forthcoming.

### removeItemAtIndex:

- (void) removeItemAtIndex: (int)index;

Description forthcoming.

### removeItemWithTitle:

- (void) removeItemWithTitle: (NSString*)title;

Description forthcoming.

### selectItem:

- (void) selectItem: (id<NSMenuItem>)anObject;

Description forthcoming.

### selectItemAtIndex:

- (void) selectItemAtIndex: (int)index;

Description forthcoming.

### selectItemWithTitle:

- (void) selectItemWithTitle: (NSString*)title;

Description forthcoming.

### selectedItem

- (id<NSMenuItem>) selectedItem;

Description forthcoming.

### setAutoenablesItems:

- (void) setAutoenablesItems: (BOOL)flag;

Description forthcoming.

### setPreferredEdge:

- (void) setPreferredEdge: (NSRectEdge)edge;

Description forthcoming.

### setPullsDown:

- (void) setPullsDown: (BOOL)flag;

Description forthcoming.

### setTitle:

- (void) setTitle: (NSString*)aString;

Description forthcoming.

### synchronizeTitleAndSelectedItem

- (void) synchronizeTitleAndSelectedItem;

Description forthcoming.

### titleOfSelectedItem

- (NSString*) titleOfSelectedItem;

Description forthcoming.

Up